%global realname riak_api
%global upstream basho
%global debug_package %{nil}
%global git_tag cd80e96
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.2.1
Release:	1%{?dist}
Summary:	Riak Client APIs
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/riak_api
# wget --content-disposition https://github.com/basho/riak_api/tarball/1.2.1
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRequires:	erlang-lager
BuildRequires:	erlang-rebar
BuildRequires:	erlang-riak_core >= 1.2.0
BuildRequires:	erlang-riak_pb >= 1.2.0
Requires:	erlang-erts%{?_isa}
Requires:	erlang-folsom%{?_isa} >= 0.7.0
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-lager%{?_isa}
Requires:	erlang-riak_core%{?_isa} >= 1.2.0
Requires:	erlang-riak_pb%{?_isa} >= 1.2.0
Requires:	erlang-stdlib%{?_isa}


%description
This OTP application encapsulates services for presenting Riak's public-facing
interfaces. Currently this means a generic interface for exposing Protocol
Buffers-based services; HTTP services via Webmachine will be moved here at a
later time.


%prep
%setup -q -n %{upstream}-%{realname}-303315c
sed -i -e "/github.com/d" rebar.config


%build
rebar compile -v


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin


%check
rebar eunit -v


%files
%doc README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam


%changelog
* Fri Oct 12 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Ver. 1.2.1

* Wed Sep 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-1
- Initial build
